using System;

namespace Zad2
{
	class Program
	{
		static void Main(string[] args)
		{
			string[] input = Console.ReadLine().Split();
			long n = int.Parse(input[0]);
			long m = int.Parse(input[1]);
			long x = n - 2;
			long y = m - 2;
			long j = 2 * m + 2 * n - 4;
			Console.WriteLine(j + (x * y) / 2);
		}
	}
}